PROC_FIND(9) | Kernel Developer's Manual | PROC_FIND(9)

# NAME

`proc_find`, `pgrp_find` — find process or process group

# SYNOPSIS

`#include <sys/proc.h>`

struct proc *
`proc_find`(pid_t pid);

struct pgrp *
`pgrp_find`(pid_t pgid);

extern kmutex_t *proc_lock;

# DESCRIPTION

The `proc_find`() and `pgrp_find`() functions retrieve process and process group structures from process ID pid and process group ID pgid. Both functions must be called by holding a mutex(9) on proc_lock.

# RETURN VALUES

Upon successful completion, the described functions return a pointer to either struct proc or struct pgrp. Otherwise, if the requested ID was not found, `NULL` is returned.

# SEE ALSO

curproc(9)

July 1, 2010 | NetBSD 11.0